summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Fernando Lopez Jr <fernando.lopezjr@gmail.com>2018-01-19 11:45:00 +0000
committer David Spencer <idlemoor@slackbuilds.org>2018-01-19 11:45:00 +0000
commitf49981519ea365b0781506c07cefecafd603034c (patch)
tree46a76dd7b9e0938fcbf9a5414e1b4335656e065a /academic
parent23eeff18a2510a59490dda56f8bbcf225c49fd85 (diff)
downloadslackbuilds-f49981519ea365b0781506c07cefecafd603034c.tar.gz
slackbuilds-f49981519ea365b0781506c07cefecafd603034c.tar.xz
academic/ZeGrapher: Added (math graphing).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/ZeGrapher/README4
-rw-r--r--academic/ZeGrapher/ZeGrapher.SlackBuild91
-rw-r--r--academic/ZeGrapher/ZeGrapher.info10
-rw-r--r--academic/ZeGrapher/doinst.sh13
-rw-r--r--academic/ZeGrapher/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/academic/ZeGrapher/README b/academic/ZeGrapher/README
new file mode 100644
index 0000000000..d20e7b5609
--- /dev/null
+++ b/academic/ZeGrapher/README
@@ -0,0 +1,4 @@
+ZeGrapher is an opensource, ergonomic and fast math graphing software.
+It can plot functions, sequences, parametric equations and data on the
+plane. It has been designed to be as easy to use as possible: there's
+no need for any documentation before use, download it and see!
diff --git a/academic/ZeGrapher/ZeGrapher.SlackBuild b/academic/ZeGrapher/ZeGrapher.SlackBuild
new file mode 100644
index 0000000000..2a79e3142e
--- /dev/null
+++ b/academic/ZeGrapher/ZeGrapher.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for ZeGrapher
+
+# Copyright 2018 Fernando Lopez Jr <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ZeGrapher
+VERSION=${VERSION:-3.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+qmake-qt5 PREFIX="$PKG/usr"
+
+make
+make install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ZeGrapher/ZeGrapher.info b/academic/ZeGrapher/ZeGrapher.info
new file mode 100644
index 0000000000..44efd73a79
--- /dev/null
+++ b/academic/ZeGrapher/ZeGrapher.info
@@ -0,0 +1,10 @@
+PRGNAM="ZeGrapher"
+VERSION="3.0.2"
+HOMEPAGE="https://www.zegrapher.com"
+DOWNLOAD="https://github.com/AdelKS/ZeGrapher/archive/v3.0.2/ZeGrapher-3.0.2.tar.gz"
+MD5SUM="a8440300bbf4d178e1469ebce1eb8403"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5-webkit"
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/academic/ZeGrapher/doinst.sh b/academic/ZeGrapher/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/academic/ZeGrapher/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/ZeGrapher/slack-desc b/academic/ZeGrapher/slack-desc
new file mode 100644
index 0000000000..aa0e300d1a
--- /dev/null
+++ b/academic/ZeGrapher/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ZeGrapher: ZeGrapher (math graphing)
+ZeGrapher:
+ZeGrapher: ZeGrapher is an opensource, ergonomic and fast math graphing
+ZeGrapher: software. It can plot functions, sequences, parametric equations
+ZeGrapher: and data on the plane. It has been designed to be as easy to use
+ZeGrapher: as possible: there's no need for any documentation before use,
+ZeGrapher: download it and see!
+ZeGrapher:
+ZeGrapher:
+ZeGrapher:
+ZeGrapher: